Groovy 1.7.0

## org.codehaus.groovy.tools.shell.commands
Class HelpCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.commands.HelpCommand

    class HelpCommand
    extends CommandSupport

The 'help' command.

version:
  $Id: HelpCommand.groovy 17536 2009-09-04 01:42:05Z glaforge $

author:
  Jason Dillon

Constructor Summary
`HelpCommand(Shell shell)`

Method Summary
`protected List` | `createCompletors()`
`Object` | `execute(List args)`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getHistory, getImports, getVariables

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### HelpCommand

    public HelpCommand(Shell shell)

Method Detail

### createCompletors

    protected List createCompletors()

### execute

    Object execute(List args)

Copyright © 2003-2009 The Codehaus. All rights reserved.